//
//  GridViewTemplateInteractor.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/18/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import Foundation
import RxSwift

protocol GridViewTemplateInteractorInterface: InteractorInterface {
    func getProducts(by categoryId: Int) -> Observable<[Product]>
}

final class GridViewTemplateInteractor {
}

// MARK: - Extensions -

extension GridViewTemplateInteractor: GridViewTemplateInteractorInterface {
    func getProducts(by categoryId: Int) -> Observable<[Product]> {
        return Observable.of(
            Array(
                repeating: 0,
                count: 8
            )
            .indices
            .map {
                Product(id: $0, name: "", productDescription: "", price: 0, savedAssetId: "", category: nil, totalItem: 0)
            }
        )
    }
}
